org.richfaces.taglib

## Class MenuGroupTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.MenuGroupTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class MenuGroupTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuGroupTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setConverter(javax.el.ValueExpression __converter)` Id of Converter to be used or reference to a Converter Setter for converter
    `void` | `setDirection(javax.el.ValueExpression __direction)` Defines direction of the popup sublist to appear ("right", "left", "auto"(Default), "left-down", "left-up", "right-down", "right-up") Setter for direction
    `void` | `setDisabled(javax.el.ValueExpression __disabled)` If "true" sets state of the item to disabled state.
    `void` | `setEvent(javax.el.ValueExpression __event)` Defines the event on the representation element that triggers the menu's appearance.
    `void` | `setIcon(javax.el.ValueExpression __icon)` Path to the icon to be displayed for the enabled item state Setter for icon
    `void` | `setIconClass(javax.el.ValueExpression __iconClass)` Class to be applied to icon element Setter for iconClass
    `void` | `setIconDisabled(javax.el.ValueExpression __iconDisabled)` Path to the icon to be displayed for the disabled item state Setter for iconDisabled
    `void` | `setIconFolder(javax.el.ValueExpression __iconFolder)` Path to the folder icon to be displayed for the enabled item state Setter for iconFolder
    `void` | `setIconFolderDisabled(javax.el.ValueExpression __iconFolderDisabled)` Path to the folder icon to be displayed for the enabled item state Setter for iconFolderDisabled
    `void` | `setIconStyle(javax.el.ValueExpression __iconStyle)` CSS style rules to be applied to icon element Setter for iconStyle
    `void` | `setLabelClass(javax.el.ValueExpression __labelClass)` Class to be applied to label element Setter for labelClass
    `void` | `setOnclose(javax.el.ValueExpression __onclose)` HTML: script expression; group was closed Setter for onclose
    `void` | `setOnopen(javax.el.ValueExpression __onopen)` HTML: script expression; group was opened Setter for onopen
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setSelectClass(javax.el.ValueExpression __selectClass)` Class to be applied to selected items Setter for selectClass
    `void` | `setSelectStyle(javax.el.ValueExpression __selectStyle)` CSS style rules to be applied to selected items Setter for selectStyle
    `void` | `setShowDelay(javax.el.ValueExpression __showDelay)` Delay between event and menu showing.
    `void` | `setValue(javax.el.ValueExpression __value)` Defines representation text for menuItem Setter for value

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### MenuGroupTag

          public MenuGroupTag()

  - ### Method Detail

    - #### setConverter

          public void setConverter(javax.el.ValueExpression __converter)

      Id of Converter to be used or reference to a Converter Setter for converter
      Parameters:
        `converter` - - new value

    - #### setDirection

          public void setDirection(javax.el.ValueExpression __direction)

      Defines direction of the popup sublist to appear ("right", "left", "auto"(Default), "left-down", "left-up", "right-down", "right-up") Setter for direction
      Parameters:
        `direction` - - new value

    - #### setDisabled

          public void setDisabled(javax.el.ValueExpression __disabled)

      If "true" sets state of the item to disabled state. Default value is "false". Setter for disabled
      Parameters:
        `disabled` - - new value

    - #### setEvent

          public void setEvent(javax.el.ValueExpression __event)

      Defines the event on the representation element that triggers the menu's appearance. Default value is "onmouseover". Setter for event
      Parameters:
        `event` - - new value

    - #### setIcon

          public void setIcon(javax.el.ValueExpression __icon)

      Path to the icon to be displayed for the enabled item state Setter for icon
      Parameters:
        `icon` - - new value

    - #### setIconClass

          public void setIconClass(javax.el.ValueExpression __iconClass)

      Class to be applied to icon element Setter for iconClass
      Parameters:
        `iconClass` - - new value

    - #### setIconDisabled

          public void setIconDisabled(javax.el.ValueExpression __iconDisabled)

      Path to the icon to be displayed for the disabled item state Setter for iconDisabled
      Parameters:
        `iconDisabled` - - new value

    - #### setIconFolder

          public void setIconFolder(javax.el.ValueExpression __iconFolder)

      Path to the folder icon to be displayed for the enabled item state Setter for iconFolder
      Parameters:
        `iconFolder` - - new value

    - #### setIconFolderDisabled

          public void setIconFolderDisabled(javax.el.ValueExpression __iconFolderDisabled)

      Path to the folder icon to be displayed for the enabled item state Setter for iconFolderDisabled
      Parameters:
        `iconFolderDisabled` - - new value

    - #### setIconStyle

          public void setIconStyle(javax.el.ValueExpression __iconStyle)

      CSS style rules to be applied to icon element Setter for iconStyle
      Parameters:
        `iconStyle` - - new value

    - #### setLabelClass

          public void setLabelClass(javax.el.ValueExpression __labelClass)

      Class to be applied to label element Setter for labelClass
      Parameters:
        `labelClass` - - new value

    - #### setOnclose

          public void setOnclose(javax.el.ValueExpression __onclose)

      HTML: script expression; group was closed Setter for onclose
      Parameters:
        `onclose` - - new value

    - #### setOnopen

          public void setOnopen(javax.el.ValueExpression __onopen)

      HTML: script expression; group was opened Setter for onopen
      Parameters:
        `onopen` - - new value

    - #### setSelectClass

          public void setSelectClass(javax.el.ValueExpression __selectClass)

      Class to be applied to selected items Setter for selectClass
      Parameters:
        `selectClass` - - new value

    - #### setSelectStyle

          public void setSelectStyle(javax.el.ValueExpression __selectStyle)

      CSS style rules to be applied to selected items Setter for selectStyle
      Parameters:
        `selectStyle` - - new value

    - #### setShowDelay

          public void setShowDelay(javax.el.ValueExpression __showDelay)

      Delay between event and menu showing. Default value is "300". Setter for showDelay
      Parameters:
        `showDelay` - - new value

    - #### setValue

          public void setValue(javax.el.ValueExpression __value)

      Defines representation text for menuItem Setter for value
      Parameters:
        `value` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2013. All Rights Reserved.